Bug 84057 - Other: Localized string is truncated
Summary: Other: Localized string is truncated
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.2.1 rc
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.4.0 target:4.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-18 16:40 UTC by simon-eder
Modified: 2014-10-12 10:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing the truncated string (30.73 KB, image/png)
2014-09-18 16:40 UTC, simon-eder
Details

Note You need to log in before you can comment on or make changes to this bug.
Description simon-eder 2014-09-18 16:40:38 UTC
Created attachment 106515 [details]
Screenshot showing the truncated string

Problem description: 
Localized string not fully visible/readable. Begin of string is truncated.

Steps to reproduce:
1. Use a German LibreOffice
2. Open Calc
3. Open the Formula options (see attached screenshot)

Current behavior:
"De" in "detaillierte" is not visible (see screenshot)

Expected behavior:
The whole word "detaillierte" is visible completely
              
Operating System: Windows 7
Version: 4.3.2.1 rc
Comment 1 Julien Nabet 2014-09-18 18:21:41 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2014-09-18 18:21:55 UTC
I'll give it a try.
Comment 3 Julien Nabet 2014-09-18 18:44:01 UTC
Here's a pointer:
http://opengrok.libreoffice.org/xref/core/sc/uiconfig/scalc/ui/optformula.ui#200

Now I don't know how to deal with ui files so let this.
Comment 4 Adolfo Jayme 2014-09-19 06:50:39 UTC
I tried editing that .ui file in Glade and setting that label to wrap, but when I previewed it in Glade it didn’t have the correct alignment, and when I tested my edited .ui in a LibreOffice build it didn’t wrap at all, but an ellipsis was added at the end. I’m no coder so I just shortened the label. https://gerrit.libreoffice.org/11531
Comment 5 Julien Nabet 2014-09-19 08:23:06 UTC
Caolan: thought you might interested in this one.
Comment 6 Commit Notification 2014-09-22 11:46:52 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fff9a6b56faf0f14965b4cde6541e59ced9dea5

Resolves: fdo#84057 Localized string is truncated



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-09-23 14:28:20 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=446a0a0c9e77bc891e4011747e9255701c494509&h=libreoffice-4-3

Resolves: fdo#84057 Localized string is truncated


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 simon-eder 2014-10-12 10:13:39 UTC
Confirming fixed. Thank you!

Version: 4.3.3.1
Build-ID: 7d55112667c8fcddb67bc3803796b46c93aa56b0